@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100&display=swap');
* {
    padding: 0;
    margin: 0;
    font-family: 'Roboto', sans-serif;
    scroll-behavior: smooth;
}

.bg-light {
    background-color: #f5f5f5;
}

.mt-1 {
    margin-top: .75rem;
}
.mt-2 {
    margin-top: 1rem;
}

.mt-3 {
    margin-top: 1.25rem;
}

.mx-3 {
    margin: 0 1.25rem;
}

.mr-3 {
    margin-right: 1.25rem;
}

.container-fluid {
    display: block;
    margin: 0 auto;
    max-width: 100%;
    width: 100%;
}

.container {
    margin: 0 auto;
    max-width: 1140px;
}

.nav-mobile {
    display: none;
    position:fixed;
    width: 100%;
    background-color: #000 !important;
} 

.nav {
    position:fixed;
    left: 0;
    right: 0;
    width: 100%;
    max-width: 1140px;
}

nav {
    background: #fff !important;
    display: flex;
    justify-content: space-around;
    top: 0; 
    right: 0;
    left: 0;
    position: fixed;
}

nav ul {
    list-style-type: none;
    justify-content: center;
    align-items: center;
    display: flex;
    flex-wrap: wrap;
}


.logo {
    display: flex;
    align-items: center;
}

a {
    text-decoration: none;
    color: #000;
}

.menu-brand  li {
    margin:1rem;
}
.menu-center li {
    margin:1rem;
}

.menu-right li {
    margin: .5rem;
}

.content {
    padding-top: 4rem;
    padding-bottom: 4rem;
    display: grid;
    margin: 0 auto;
    text-align: left;
    grid-template-columns: 1fr 1fr;
    grid-gap: 1rem;

}
.product-grid{
    padding-top: 4rem;
    padding-bottom: 4rem;
    grid-gap: 1rem;
    display: grid;
    margin: 0 auto;
    text-align: left;
    grid-template-columns: 1fr 1fr 1fr 1fr;
}


.flex-one-item {
    padding-top: 4rem;
    padding-bottom: 4rem;
    display: flex; 
    flex-direction: column;
    align-items: center;
}

.product-grid p{
    color: #575757;
}

.align-items-center {
    display: flex;
    justify-content: center;
}

.justify-content-center {
    display: flex;
    align-items: center;
}

.d-flex {
    display: flex;
}

.flex-column {
    flex-direction: column;
}

.bg-product {
    background-image: url('./assets/power-up-1.png');
    background-size: cover;
    background-repeat: no-repeat;
    background-position:center;
    color: #fff !important;
}

footer {
    height: 70px;
    align-items: center;
    display: flex;
    padding: 1rem 0;
}

.footer-flex {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

footer img:hover{
    opacity: .25;
    transform: 2s;
}
footer .social img{
    width: 25px;
}

@media only screen and (max-width: 1200px) {
    .nav {
        display: none;
    }
    .content, .product-grid {
        grid-template-columns: 1fr;
        padding-left: 1rem;
        padding-right: 1rem;
    }
    .flex-one-item {
        padding-left: 1rem;
        padding-right: 1rem;
        text-align: center;
    }
    footer {
        height: auto;
    }
    .footer-flex:not(.social) {
        flex-direction: column;
        align-items: flex-start;
    }
    .footer-flex .mx-3, .mr {
        margin-top: 1rem;
    }

    .nav-mobile {
        display: flex;
        justify-content: space-between;
    }

    nav ul { 
        width: 100%;   
        justify-content:space-between;
        display: flex;
        align-items: center;
    }
    
    nav ul li:nth-child(2){ 
        color: #6bbed8;
        font-size: 2rem;
    }

    nav ul .menu-center li {
        /* margin:1rem; */
        display: flex;
        flex-direction: column;
    }
    
    nav ul .menu-right li {
        flex-direction: row;
        /* margin: .5rem; */
    }
    
}

.menu-list {
    display: none; 
    flex-direction: column; 
    position: fixed; 
    background-color: #fff;
    top: 9%; 
    height: auto;
    width: 100%;
    align-items: center;
    padding-bottom: 2rem;
}

.menu-list .nav-item {
    margin-top: 2rem;
}

.open {
    display: flex;
}